Topic locked

Error when import Vuforia Hololens 2 Sample

March 15, 2022 - 12:31am #1

I was trying to run the vuforia hololens 2 sample but failed.

I followed the guides https://library.vuforia.com/platform-support/working-hololens-sample-unity

But when I imported the sample package into the project , I got the windowsmr error "capture-01.png".

And then I removed the windowsmr package, but got the common script error "capture-02.png".

the unity version is : 2021.2.13

mrtk version : 2.7.3

vuforia version : 10.5.5

 

I have read the api reference. The "TargetFinder" class reference is exist in version 9.8 at https://library.vuforia.com/sites/default/files/references/9.8/unity/classVuforia_1_1TargetFinder.html

but the class seems removed at latest version https://library.vuforia.com/sites/default/files/references/unity/structVuforia_1_1TargetStatus.html.

So maybe the scripts in common folder is still linked old api?

 

Any tips will be good.

 

 

 

AttachmentSize
Image icon capture-01.png88.73 KB
Image icon capture-02.png87.44 KB

Error when import Vuforia Hololens 2 Sample

March 26, 2022 - 12:05pm #3

Hey there,

 

The current sample is v10.5.5. I would suggest making sure the sample is updated in your Package Manager window in Unity.

 

Kind regards,

Patrick Scheper

Technical Community Manager

Error when import Vuforia Hololens 2 Sample

March 15, 2022 - 4:19am #2

I have found that the package in unity asset store, use sdk version is 9.8.11

"com.ptc.vuforia.engine": "git+https://git-packages.developer.vuforia.com#9.8.11"

When I download Vuforia Engine and Vuforia Hololens 2 Sample in Unity Asset Store. The samples can run.

 

Can you guys upload the hololens2 samples with the latest sdk version 10.5.5. or give me a download link. Because the 9.8.11 sdk is not support openxr.

Topic locked